> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Verification

> Create a new verification by uploading a signed document.

The signed document will be stored and an admin will review the verification.
Once reviewed, the verification status will be updated to VERIFIED or REJECTED.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/verification/
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/verification/:
    post:
      tags:
        - Verification
      summary: Create Verification
      description: >-
        Create a new verification by uploading a signed document.


        The signed document will be stored and an admin will review the
        verification.

        Once reviewed, the verification status will be updated to VERIFIED or
        REJECTED.
      operationId: create_verification_v1_verification__post
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_create_verification_v1_verification__post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateVerificationResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    Body_create_verification_v1_verification__post:
      properties:
        signed_document:
          type: string
          format: binary
          title: Signed Document
          description: Signed verification document (PDF)
        notification_email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Notification Email
          description: The email to notify once the verification is reviewed.
      type: object
      required:
        - signed_document
      title: Body_create_verification_v1_verification__post
    CreateVerificationResponseSchema:
      properties:
        verification_id:
          type: string
          format: uuid
          title: Verification Id
      type: object
      required:
        - verification_id
      title: CreateVerificationResponseSchema
      description: Response schema after creating a verification.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````